Legacy Authorizations
/legacy/authorizationsList all legacy authorizations
Parameters
Query parameters
userID
stringuser
stringorgID
stringorg
stringtoken
stringauthID
stringHeader parameters
Zap-Trace-Span
stringcurl --request GET \
"https://us-east-1-1.aws.cloud2.influxdata.com/legacy/authorizations" \
--header "Authorization: Bearer INFLUX_TOKEN"Responses
authorizations.authorizations
object[]links
stringcode
required
stringinternal error
, not implemented
, not found
, conflict
, invalid
, unprocessable entity
, empty value
, unavailable
, forbidden
, too many requests
, unauthorized
, method not allowed
, request too large
, unsupported media typeerr
stringmessage
stringop
string/legacy/authorizationsCreate a legacy authorization
Creates a legacy authorization and returns the legacy authorization.
Required permissions
write-users USER_IDif you pass theuserIDproperty in the request body.
USER_ID is the ID of the user that you want to scope the authorization to.
Parameters
Header parameters
Zap-Trace-Span
stringRequest body required
application/jsoncurl --request POST \
"https://us-east-1-1.aws.cloud2.influxdata.com/legacy/authorizations" \
--header "Authorization: Bearer INFLUX_TOKEN" \
--header "Content-Type: application/json"Responses
code
required
stringinternal error
, not implemented
, not found
, conflict
, invalid
, unprocessable entity
, empty value
, unavailable
, forbidden
, too many requests
, unauthorized
, method not allowed
, request too large
, unsupported media typeerr
stringmessage
stringop
stringcode
stringunauthorized.unauthorizedmessage
stringcode
required
stringinternal error
, not implemented
, not found
, conflict
, invalid
, unprocessable entity
, empty value
, unavailable
, forbidden
, too many requests
, unauthorized
, method not allowed
, request too large
, unsupported media typeerr
stringmessage
stringop
string/legacy/authorizations/{authID}Retrieve a legacy authorization
Parameters
Path parameters
authID
required
stringHeader parameters
Zap-Trace-Span
stringcurl --request GET \
"https://us-east-1-1.aws.cloud2.influxdata.com/legacy/authorizations/{authID}" \
--header "Authorization: Bearer INFLUX_TOKEN"Responses
code
required
stringinternal error
, not implemented
, not found
, conflict
, invalid
, unprocessable entity
, empty value
, unavailable
, forbidden
, too many requests
, unauthorized
, method not allowed
, request too large
, unsupported media typeerr
stringmessage
stringop
string/legacy/authorizations/{authID}Update a legacy authorization to be active or inactive
Parameters
Path parameters
authID
required
stringHeader parameters
Zap-Trace-Span
stringRequest body required
application/jsondescription
stringstatus
stringinactive, InfluxDB rejects requests that use the token.active
, inactiveactivecurl --request PATCH \
"https://us-east-1-1.aws.cloud2.influxdata.com/legacy/authorizations/{authID}" \
--header "Authorization: Bearer INFLUX_TOKEN" \
--header "Content-Type: application/json" \
--data-raw '{
"description": "DESCRIPTION",
"status": "active"
}'Responses
code
required
stringinternal error
, not implemented
, not found
, conflict
, invalid
, unprocessable entity
, empty value
, unavailable
, forbidden
, too many requests
, unauthorized
, method not allowed
, request too large
, unsupported media typeerr
stringmessage
stringop
string/legacy/authorizations/{authID}Delete a legacy authorization
Parameters
Path parameters
authID
required
stringHeader parameters
Zap-Trace-Span
stringcurl --request DELETE \
"https://us-east-1-1.aws.cloud2.influxdata.com/legacy/authorizations/{authID}" \
--header "Authorization: Bearer INFLUX_TOKEN"Responses
code
required
stringinternal error
, not implemented
, not found
, conflict
, invalid
, unprocessable entity
, empty value
, unavailable
, forbidden
, too many requests
, unauthorized
, method not allowed
, request too large
, unsupported media typeerr
stringmessage
stringop
string/legacy/authorizations/{authID}/passwordSet a legacy authorization password
Parameters
Path parameters
authID
required
stringHeader parameters
Zap-Trace-Span
stringRequest body required
application/jsonpassword
required
stringcurl --request POST \
"https://us-east-1-1.aws.cloud2.influxdata.com/legacy/authorizations/{authID}/password" \
--header "Authorization: Bearer INFLUX_TOKEN" \
--header "Content-Type: application/json" \
--data-raw '{
"password": "PASSWORD"
}'Responses
code
required
stringinternal error
, not implemented
, not found
, conflict
, invalid
, unprocessable entity
, empty value
, unavailable
, forbidden
, too many requests
, unauthorized
, method not allowed
, request too large
, unsupported media typeerr
stringmessage
stringop
stringWas this page helpful?
Thank you for your feedback!
Support and feedback
Thank you for being part of our community! We welcome and encourage your feedback and bug reports for InfluxDB and this documentation. To find support, use the following resources:
Customers with an annual or support contract can contact InfluxData Support.